## lua-apr 0.14.2

=== Makefile ===
# This is the UNIX makefile for the Lua/APR binding.
#
# Author: Peter Odding <peter@peterodding.com>
# Last Change: February 19, 2011
# Homepage: http://peterodding.com/code/lua/apr/
# License: MIT
#
# This makefile has been tested on Ubuntu Linux 10.04 after installing the
# external dependencies using the `install_deps' target (see below).

# Based on http://www.luarocks.org/en/Recommended_practices_for_Makefiles
LUA_DIR = /usr/local
LUA_LIBDIR = $(LUA_DIR)/lib/lua/5.1
LUA_SHAREDIR = $(LUA_DIR)/share/lua/5.1

# Names of source / binary modules to install.
SOURCE_MODULE = src/apr.lua
BINARY_MODULE = core.so

# Names of source code files to compile & link (the individual lines enable
# automatic rebasing between git feature branches and the master branch).
SOURCES = src/base64.c \
		  src/buffer.c \
		  src/crypt.c \
		  src/date.c \
		  src/dbd.c \
		  src/dbm.c \
		  src/env.c \
		  src/errno.c \
		  src/filepath.c \
		  src/fnmatch.c \
		  src/io_dir.c \
		  src/io_file.c \
		  src/io_net.c \
		  src/io_pipe.c \
		  src/lua_apr.c \
		  src/memory_pool.c \
		  src/object.c \
		  src/permissions.c \
		  src/proc.c \
		  src/shm.c \
		  src/stat.c \
		  src/str.c \
		  src/thread.c \
		  src/thread_queue.c \
		  src/time.c \
		  src/tuple.c \
		  src/uri.c \
		  src/user.c \
		  src/uuid.c \
		  src/xlate.c \
		  src/xml.c

# Names of compiled object files.
OBJECTS = $(patsubst %.c,%.o,$(SOURCES))

# If you're building Lua/APR with LuaRocks it should locate the external
# dependencies automatically, otherwise we fall back to `pkg-config'.
CFLAGS = `pkg-config --cflags lua5.1` `pkg-config --cflags apr-1` `pkg-config --cflags apr-util-1`
LFLAGS = `pkg-config --libs apr-1` `pkg-config --libs apr-util-1`

# Create debug builds by default but enable release
# builds using the command line "make RELEASE=1".
ifndef RELEASE
CFLAGS := $(CFLAGS) -g -DDEBUG
LFLAGS := $(LFLAGS) -g
endif

# Enable profiling with "make PROFILING=1".
ifdef PROFILING
CFLAGS := $(CFLAGS) -fprofile-arcs -ftest-coverage
LFLAGS := $(LFLAGS) -fprofile-arcs
endif

# The build rules.

$(BINARY_MODULE): $(OBJECTS) Makefile
	$(CC) -shared -o $(BINARY_MODULE) $(OBJECTS) $(LFLAGS)

$(OBJECTS): %.o: %.c src/lua_apr.h Makefile
	$(CC) -Wall -c $(CFLAGS) -fPIC $< -o $@

src/errno.c: etc/errors.lua Makefile
	lua etc/errors.lua > src/errno.c.new && mv src/errno.c.new src/errno.c

install: $(BINARY_MODULE)
	mkdir -p $(LUA_SHAREDIR)/apr/test
	cp $(SOURCE_MODULE) $(LUA_SHAREDIR)/apr.lua
	cp test/*.lua $(LUA_SHAREDIR)/apr/test
	mkdir -p $(LUA_LIBDIR)/apr
	cp $(BINARY_MODULE) $(LUA_LIBDIR)/apr/$(BINARY_MODULE)

uninstall:
	rm -f $(LUA_SHAREDIR)/apr.lua
	rm -fR $(LUA_SHAREDIR)/apr/test
	rm -fR $(LUA_LIBDIR)/apr

test:
	lua -lapr.test

valgrind:
	valgrind -q --track-origins=yes --leak-check=full lua -lapr.test

coverage:
	[ -d etc/coverage ] || mkdir etc/coverage
	rm -f src/errno.gcda src/errno.gcno
	lcov -d src -b . --capture --output-file etc/coverage/lua-apr.info
	genhtml -o etc/coverage etc/coverage/lua-apr.info

docs: etc/docs.lua $(SOURCE_MODULE) $(SOURCES)
	@echo Generating documentation..
	@lua etc/docs.lua docs.md docs.html

# FIXME The libreadline-dev isn't really needed here is it?!
install_deps:
	apt-get install libapr1 libapr1-dev \
		libaprutil1 libaprutil1-dev libaprutil1-dbd-sqlite3 \
		lua5.1 liblua5.1-0 liblua5.1-0-dev libreadline-dev \
		liblua5.1-markdown0

ZIPNAME = lua-apr-0.14.2-1

package: docs
	@echo Packaging sources
	@rm -f $(ZIPNAME).zip
	@mkdir -p $(ZIPNAME)/doc
	@cp docs.html $(ZIPNAME)/doc/apr.html
	@mkdir -p $(ZIPNAME)/etc
	@cp -a etc/docs.lua etc/errors.lua $(ZIPNAME)/etc
	@mkdir -p $(ZIPNAME)/benchmarks
	@cp -a benchmarks/* $(ZIPNAME)/benchmarks
	@mkdir -p $(ZIPNAME)/examples
	@cp -a examples/*.lua $(ZIPNAME)/examples
	@mkdir -p $(ZIPNAME)/src
	@cp -a src/lua_apr.h $(SOURCES) $(SOURCE_MODULE) $(ZIPNAME)/src
	@mkdir -p $(ZIPNAME)/test
	@cp -a test/*.lua $(ZIPNAME)/test
	@cp Makefile Makefile.win make.cmd NOTES.md README.md $(ZIPNAME)
	@zip $(ZIPNAME).zip -r $(ZIPNAME)
	@rm -R $(ZIPNAME)
	@echo Calculating MD5 sum for LuaRocks
	@md5sum $(ZIPNAME).zip

clean:
	@rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
	@which lcov && lcov -z -d .
	@rm -f src/*.gcov src/*.gcno

.PHONY: install uninstall test valgrind coverage docs install_deps package clean

# vim: ts=4 sw=4 noet

=== debian/changelog ===
lua-apr (0.14.2-2) unstable; urgency=low

  * fixed copyright file with the right Source: field

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 23 Feb 2011 23:45:12 +0100

lua-apr (0.14.2-1) unstable; urgency=low

  * Initial release. (Closes: #614121)
  * test.patch to skip the wrong test for apr.user_homepath_get(user) ==
    apr.env_get 'HOME' 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 22 Feb 2011 19:04:22 +0100

=== debian/control ===
Source: lua-apr
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 27), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
Homepage: http://peterodding.com/code/lua/apr/

Package: liblua5.1-apr1
Architecture: any
Depends: ${shlibs:Depends}
Description: Apache Portable Runtime library for the Lua language version 5.1
 This package contains the bindings for the Apache Portable Runtime library.

Package: liblua5.1-apr-dev
Architecture: any
Depends: liblua5.1-apr1 (= ${binary:Version})
Section: libdevel
Description: Lua development files for the Apache Portable Runtime library
 This package contains the development files of the Apache Portable Runtime
 library lua5.1 bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).  
 Documentation is also shipped within this package.

## lua-apr 0.17.1

=== Makefile ===
# This is the UNIX makefile for the Lua/APR binding.
#
# Author: Peter Odding <peter@peterodding.com>
# Last Change: March 28, 2011
# Homepage: http://peterodding.com/code/lua/apr/
# License: MIT
#
# This makefile has been tested on Ubuntu Linux 10.04 after installing the
# external dependencies using the `install_deps' target (see below).

VERSION = 0.17
RELEASE = 1
PACKAGE = lua-apr-$(VERSION)-$(RELEASE)

# Based on http://www.luarocks.org/en/Recommended_practices_for_Makefiles
LUA_DIR = /usr/local
LUA_LIBDIR = $(LUA_DIR)/lib/lua/5.1
LUA_SHAREDIR = $(LUA_DIR)/share/lua/5.1

# Location for generated HTML documentation.
LUA_APR_DOCS = $(LUA_DIR)/share/doc/lua-apr

# Names of source / binary modules to install.
SOURCE_MODULE = src/apr.lua
BINARY_MODULE = core.so
APREQ_BINARY = apreq.so

# Names of source code files to compile & link (the individual lines enable
# automatic rebasing between git feature branches and the master branch).
SOURCES = src/base64.c \
		  src/buffer.c \
		  src/crypt.c \
		  src/date.c \
		  src/dbd.c \
		  src/dbm.c \
		  src/env.c \
		  src/errno.c \
		  src/filepath.c \
		  src/fnmatch.c \
		  src/getopt.c \
		  src/io_dir.c \
		  src/io_file.c \
		  src/io_net.c \
		  src/io_pipe.c \
		  src/lua_apr.c \
		  src/memcache.c \
		  src/memory_pool.c \
		  src/object.c \
		  src/permissions.c \
		  src/proc.c \
		  src/shm.c \
		  src/stat.c \
		  src/str.c \
		  src/thread.c \
		  src/thread_queue.c \
		  src/time.c \
		  src/tuple.c \
		  src/uri.c \
		  src/user.c \
		  src/uuid.c \
		  src/xlate.c \
		  src/xml.c

# If you're building Lua/APR with LuaRocks it should locate the external
# dependencies automatically, otherwise we fall back to `pkg-config'. On
# Debian/Ubuntu the Lua pkg-config file is called "lua5.1", on Arch Linux its
# just "lua".
CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua) \
		  $(shell pkg-config --cflags apr-1) \
		  $(shell pkg-config --cflags apr-util-1)
LFLAGS += $(shell pkg-config --libs apr-1) \
		  $(shell pkg-config --libs apr-util-1)

# Create debug builds by default but enable release
# builds using the command line "make DO_RELEASE=1".
ifndef DO_RELEASE
CFLAGS += -g -DDEBUG
LFLAGS += -g
endif

# Enable profiling with "make PROFILING=1".
ifdef PROFILING
CFLAGS += -fprofile-arcs -ftest-coverage
LFLAGS += -fprofile-arcs
endif

# Experimental support for HTTP request parsing using libapreq2.
ifndef DISABLE_APREQ
SOURCES += src/http.c
CFLAGS += $(shell apreq2-config --includes)
LFLAGS += $(shell apreq2-config --link-ld)
else
CFLAGS += -DLUA_APR_DISABLE_APREQ
endif

# Names of compiled object files.
OBJECTS = $(patsubst %.c,%.o,$(SOURCES))

# Build the binary module.
$(BINARY_MODULE): $(OBJECTS) Makefile
	@$(CC) -shared -o $@ $(OBJECTS) $(LFLAGS)

# Build the standalone libapreq2 binding.
$(APREQ_BINARY): etc/apreq_standalone.c Makefile
	@$(CC) -Wall -shared -o $@ $(CFLAGS) -fPIC etc/apreq_standalone.c $(LFLAGS)

# Compile individual source code files to object files.
$(OBJECTS): %.o: %.c src/lua_apr.h Makefile
	@$(CC) -Wall -c $(CFLAGS) -fPIC $< -o $@

# Always try to regenerate the error handling module.
src/errno.c: etc/errors.lua Makefile
	@lua etc/errors.lua > src/errno.c.new && mv -f src/errno.c.new src/errno.c || true

# Install the Lua/APR binding under $LUA_DIR.
install: $(BINARY_MODULE)
	mkdir -p $(LUA_SHAREDIR)/apr/test
	cp $(SOURCE_MODULE) $(LUA_SHAREDIR)/apr.lua
	cp test/*.lua $(LUA_SHAREDIR)/apr/test
	mkdir -p $(LUA_LIBDIR)/apr
	cp $(BINARY_MODULE) $(LUA_LIBDIR)/apr/$(BINARY_MODULE)
	if [ -e $(APREQ_BINARY) ]; then cp $(APREQ_BINARY) $(LUA_LIBDIR)/$(APREQ_BINARY); fi
	make --no-print-directory docs
	if [ ! -d $(LUA_APR_DOCS) ]; then mkdir -p $(LUA_APR_DOCS); fi
	cp docs.html $(LUA_APR_DOCS)/
	lua etc/wrap.lua < README.md > $(LUA_APR_DOCS)/readme.html
	lua etc/wrap.lua < NOTES.md > $(LUA_APR_DOCS)/notes.html
	lua etc/wrap.lua < TODO.md > $(LUA_APR_DOCS)/todo.html

# Remove previously installed files.
uninstall:
	rm -f $(LUA_SHAREDIR)/apr.lua
	rm -fR $(LUA_SHAREDIR)/apr/test
	rm -fR $(LUA_LIBDIR)/apr

# Run the test suite.
test: $(BINARY_MODULE)
	@lua -lapr.test

# Run the test suite under Valgrind to detect and analyze errors.
valgrind:
	valgrind -q --track-origins=yes --leak-check=full lua -lapr.test

# Create or update test coverage report using "lcov".
coverage:
	[ -d etc/coverage ] || mkdir etc/coverage
	rm -f src/errno.gcda src/errno.gcno
	lcov -d src -b . --capture --output-file etc/coverage/lua-apr.info
	genhtml -o etc/coverage etc/coverage/lua-apr.info

# Generate HTML documentation from Markdown embedded in source code.
docs: etc/docs.lua $(SOURCE_MODULE) $(SOURCES)
	@lua etc/docs.lua > docs.md
	@lua etc/wrap.lua < docs.md > docs.html

# Install the build dependencies using Debian/Ubuntu packages.
# FIXME The libreadline-dev isn't really needed here is it?!
install_deps:
	apt-get install libapr1 libapr1-dev libaprutil1 libaprutil1-dev \
		libaprutil1-dbd-sqlite3 libapreq2 libapreq2-dev lua5.1 \
		liblua5.1-0 liblua5.1-0-dev libreadline-dev luarocks
	luarocks install lua-discount
	luarocks install http://peterodding.com/code/lua/lxsh/downloads/lxsh-0.6.1-1.rockspec

# Prepare a source ZIP archive and a Debian package 
package: zip_package deb_package

# Create a profiling build to run the test suite and generate documentation
# including test coverage, then create a clean build without profiling.
package_prerequisites:
	make clean
	make PROFILING=1
	lua etc/buildbot.lua --local
	make docs
	make clean
	make DO_RELEASE=1

# Prepare a source ZIP archive from which Lua/APR can be build.
zip_package: package_prerequisites
	rm -f $(PACKAGE).zip
	mkdir -p $(PACKAGE)/doc
	cp docs.html $(PACKAGE)/doc/apr.html
	lua etc/wrap.lua < README.md > $(PACKAGE)/doc/readme.html
	lua etc/wrap.lua < NOTES.md > $(PACKAGE)/doc/notes.html
	lua etc/wrap.lua < TODO.md > $(PACKAGE)/doc/todo.html
	mkdir -p $(PACKAGE)/etc
	cp -a etc/buildbot.lua etc/docs.lua etc/errors.lua etc/wrap.lua $(PACKAGE)/etc
	mkdir -p $(PACKAGE)/benchmarks
	cp -a benchmarks/* $(PACKAGE)/benchmarks
	mkdir -p $(PACKAGE)/examples
	cp -a examples/*.lua $(PACKAGE)/examples
	mkdir -p $(PACKAGE)/src
	cp -a src/lua_apr.h $(SOURCES) $(SOURCE_MODULE) $(PACKAGE)/src
	mkdir -p $(PACKAGE)/test
	cp -a test/*.lua $(PACKAGE)/test
	cp Makefile Makefile.win make.cmd README.md NOTES.md TODO.md $(PACKAGE)
	zip $(PACKAGE).zip -r $(PACKAGE)
	rm -R $(PACKAGE)
	@echo 'MD5 sum for LuaRocks:'
	md5sum $(PACKAGE).zip

# Create a Debian package using "checkinstall".
deb_package: package_prerequisites
	@echo "Lua/APR is a binding to the Apache Portable Runtime (APR) library." > description-pak
	@echo "APR powers software such as the Apache webserver and Subversion and" >> description-pak
	@echo "Lua/APR makes the APR operating system interfaces available to Lua." >> description-pak
	checkinstall \
		--default \
		--backup=no \
		--type=debian \
		--pkgname=lua-apr \
		--pkgversion=$(VERSION) \
		--pkgrelease=$(RELEASE) \
		--pkglicense=MIT \
		--pkggroup=interpreters \
		'--requires=libapr1,libaprutil1,libaprutil1-dbd-sqlite3,libapreq2' \
		'--maintainer="Peter Odding <peter@peterodding.com>"' \
		make install LUA_DIR=/usr
	@rm -R description-pak doc-pak/

# Clean generated files from working directory.
clean:
	rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
	rm -f $(APREQ_BINARY)
	if which lcov; then lcov -z -d .; fi
	rm -f src/*.gcov src/*.gcno

.PHONY: install uninstall test valgrind coverage docs install_deps package \
	package_prerequisites zip_package deb_package deb_repo clean

# vim: ts=4 sw=4 noet

=== debian/changelog ===
lua-apr (0.17.1-1) unstable; urgency=low

  * New upstream release
  * Depend on lua5.1-policy >= 28 to pass arguments to the test process
  * Removed test.patch, no more needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 May 2011 16:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 27), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 28), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/lua.mk

pre-build::
	make -f Makefile src/errno.c

## lua-apr 0.17.5.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: March 28, 2011
+# Last Change: May 15, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
 # This makefile has been tested on Ubuntu Linux 10.04 after installing the
 # external dependencies using the `install_deps' target (see below).
 
-VERSION = 0.17
+VERSION = 0.17.5
 RELEASE = 1
 PACKAGE = lua-apr-$(VERSION)-$(RELEASE)
 
@@ -62,14 +62,17 @@
 		  src/xml.c
 
 # If you're building Lua/APR with LuaRocks it should locate the external
-# dependencies automatically, otherwise we fall back to `pkg-config'. On
-# Debian/Ubuntu the Lua pkg-config file is called "lua5.1", on Arch Linux its
-# just "lua".
+# dependencies automatically, otherwise we fall back to `pkg-config'. Some
+# complicating factors: On Debian/Ubuntu the Lua pkg-config file is called
+# `lua5.1', on Arch Linux it's just `lua'. Also `pkg-config --cflags apr-1'
+# doesn't include -pthread while `apr-1-config --cflags' does include this flag
+# and I suspect we need it to get the Debian hurd-i386 build to work. See also
+# issue #5 on GitHub: https://github.com/xolox/lua-apr/issues/5
 CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua) \
-		  $(shell pkg-config --cflags apr-1) \
-		  $(shell pkg-config --cflags apr-util-1)
-LFLAGS += $(shell pkg-config --libs apr-1) \
-		  $(shell pkg-config --libs apr-util-1)
+		  $(shell apr-1-config --cflags --cppflags --includes 2>/dev/null || pkg-config --cflags apr-1) \
+		  $(shell apu-1-config --includes 2>/dev/null || pkg-config --cflags apr-util-1)
+LFLAGS += $(shell apr-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-1) \
+		  $(shell apu-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-util-1)
 
 # Create debug builds by default but enable release
 # builds using the command line "make DO_RELEASE=1".
@@ -98,15 +101,15 @@
 
 # Build the binary module.
 $(BINARY_MODULE): $(OBJECTS) Makefile
-	@$(CC) -shared -o $@ $(OBJECTS) $(LFLAGS)
+	$(CC) -shared -o $@ $(OBJECTS) $(LFLAGS)
 
 # Build the standalone libapreq2 binding.
 $(APREQ_BINARY): etc/apreq_standalone.c Makefile
-	@$(CC) -Wall -shared -o $@ $(CFLAGS) -fPIC etc/apreq_standalone.c $(LFLAGS)
+	$(CC) -Wall -shared -o $@ $(CFLAGS) -fPIC etc/apreq_standalone.c $(LFLAGS)
 
 # Compile individual source code files to object files.
 $(OBJECTS): %.o: %.c src/lua_apr.h Makefile
-	@$(CC) -Wall -c $(CFLAGS) -fPIC $< -o $@
+	$(CC) -Wall -c $(CFLAGS) -fPIC $< -o $@
 
 # Always try to regenerate the error handling module.
 src/errno.c: etc/errors.lua Makefile
@@ -135,7 +138,7 @@
 
 # Run the test suite.
 test: $(BINARY_MODULE)
-	@lua -lapr.test
+	export LD_PRELOAD=/lib/libSegFault.so; lua -lapr.test
 
 # Run the test suite under Valgrind to detect and analyze errors.
 valgrind:

=== debian/changelog ===
lua-apr (0.17.5.1-1) unstable; urgency=low

  * New upstream release
  * Build-depend on lua5.1-policy >= 29 to run tests under catchsegv

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 May 2011 21:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 28), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 29), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat

## lua-apr 0.18.2

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: May 15, 2011
+# Last Change: June 16, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
 # This makefile has been tested on Ubuntu Linux 10.04 after installing the
 # external dependencies using the `install_deps' target (see below).
 
-VERSION = 0.17.5
-RELEASE = 1
+VERSION = $(shell grep _VERSION src/apr.lua | cut "-d'" -f2)
+RELEASE = $(shell grep _RELEASE src/apr.lua | cut "-d'" -f2)
 PACKAGE = lua-apr-$(VERSION)-$(RELEASE)
 
 # Based on http://www.luarocks.org/en/Recommended_practices_for_Makefiles
@@ -64,11 +64,11 @@
 # If you're building Lua/APR with LuaRocks it should locate the external
 # dependencies automatically, otherwise we fall back to `pkg-config'. Some
 # complicating factors: On Debian/Ubuntu the Lua pkg-config file is called
-# `lua5.1', on Arch Linux it's just `lua'. Also `pkg-config --cflags apr-1'
-# doesn't include -pthread while `apr-1-config --cflags' does include this flag
-# and I suspect we need it to get the Debian hurd-i386 build to work. See also
-# issue #5 on GitHub: https://github.com/xolox/lua-apr/issues/5
-CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua) \
+# `lua5.1', on FreeBSD it's `lua-5.1' and on Arch Linux it's just `lua'. Also
+# `pkg-config --cflags apr-1' doesn't include -pthread while `apr-1-config
+# --cflags' does include this flag and this seems to be needed on some
+# platforms. See also issue #5 on GitHub: https://github.com/xolox/lua-apr/issues/5
+CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua-5.1 --silence-errors || pkg-config --cflags lua) \
 		  $(shell apr-1-config --cflags --cppflags --includes 2>/dev/null || pkg-config --cflags apr-1) \
 		  $(shell apu-1-config --includes 2>/dev/null || pkg-config --cflags apr-util-1)
 LFLAGS += $(shell apr-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-1) \
@@ -138,11 +138,11 @@
 
 # Run the test suite.
 test: $(BINARY_MODULE)
-	export LD_PRELOAD=/lib/libSegFault.so; lua -lapr.test
+	export LD_PRELOAD=/lib/libSegFault.so; lua -e "require 'apr.test' ()"
 
 # Run the test suite under Valgrind to detect and analyze errors.
 valgrind:
-	valgrind -q --track-origins=yes --leak-check=full lua -lapr.test
+	valgrind -q --track-origins=yes --leak-check=full lua -e "require 'apr.test' ()"
 
 # Create or update test coverage report using "lcov".
 coverage:
@@ -166,47 +166,58 @@
 	luarocks install http://peterodding.com/code/lua/lxsh/downloads/lxsh-0.6.1-1.rockspec
 
 # Prepare a source ZIP archive and a Debian package 
-package: zip_package deb_package
+package: zip_package rockspec deb_package
 
 # Create a profiling build to run the test suite and generate documentation
-# including test coverage, then create a clean build without profiling.
+# including test coverage, then a clean build without profiling which we
+# can release.
 package_prerequisites:
-	make clean
-	make PROFILING=1
-	lua etc/buildbot.lua --local
-	make docs
-	make clean
-	make DO_RELEASE=1
+	@echo Collecting coverage statistics using profiling build
+	@make --no-print-directory clean
+	@export PROFILING=1; lua etc/buildbot.lua --local
+	@echo Generating documentation including coverage statistics
+	@make --no-print-directory docs
+	@make --no-print-directory clean
 
 # Prepare a source ZIP archive from which Lua/APR can be build.
 zip_package: package_prerequisites
-	rm -f $(PACKAGE).zip
-	mkdir -p $(PACKAGE)/doc
-	cp docs.html $(PACKAGE)/doc/apr.html
-	lua etc/wrap.lua < README.md > $(PACKAGE)/doc/readme.html
-	lua etc/wrap.lua < NOTES.md > $(PACKAGE)/doc/notes.html
-	lua etc/wrap.lua < TODO.md > $(PACKAGE)/doc/todo.html
-	mkdir -p $(PACKAGE)/etc
-	cp -a etc/buildbot.lua etc/docs.lua etc/errors.lua etc/wrap.lua $(PACKAGE)/etc
-	mkdir -p $(PACKAGE)/benchmarks
-	cp -a benchmarks/* $(PACKAGE)/benchmarks
-	mkdir -p $(PACKAGE)/examples
-	cp -a examples/*.lua $(PACKAGE)/examples
-	mkdir -p $(PACKAGE)/src
-	cp -a src/lua_apr.h $(SOURCES) $(SOURCE_MODULE) $(PACKAGE)/src
-	mkdir -p $(PACKAGE)/test
-	cp -a test/*.lua $(PACKAGE)/test
-	cp Makefile Makefile.win make.cmd README.md NOTES.md TODO.md $(PACKAGE)
-	zip $(PACKAGE).zip -r $(PACKAGE)
-	rm -R $(PACKAGE)
-	@echo 'MD5 sum for LuaRocks:'
-	md5sum $(PACKAGE).zip
+	@rm -f $(PACKAGE).zip
+	@mkdir -p $(PACKAGE)/doc
+	@cp docs.html $(PACKAGE)/doc/apr.html
+	@lua etc/wrap.lua < README.md > $(PACKAGE)/doc/readme.html
+	@lua etc/wrap.lua < NOTES.md > $(PACKAGE)/doc/notes.html
+	@lua etc/wrap.lua < TODO.md > $(PACKAGE)/doc/todo.html
+	@mkdir -p $(PACKAGE)/etc
+	@cp -a etc/buildbot.lua etc/docs.lua etc/errors.lua etc/wrap.lua $(PACKAGE)/etc
+	@mkdir -p $(PACKAGE)/benchmarks
+	@cp -a benchmarks/* $(PACKAGE)/benchmarks
+	@mkdir -p $(PACKAGE)/examples
+	@cp -a examples/*.lua $(PACKAGE)/examples
+	@mkdir -p $(PACKAGE)/src
+	@cp -a src/lua_apr.h $(SOURCES) $(SOURCE_MODULE) $(PACKAGE)/src
+	@mkdir -p $(PACKAGE)/test
+	@cp -a test/*.lua $(PACKAGE)/test
+	@cp Makefile Makefile.win make.cmd README.md NOTES.md TODO.md $(PACKAGE)
+	@zip $(PACKAGE).zip -qr $(PACKAGE)
+	@echo Generated $(PACKAGE).zip
+	@rm -R $(PACKAGE)
+
+# Prepare a LuaRocks rockspec for the current release.
+rockspec: zip_package
+	@cat etc/template.rockspec \
+		| sed "s/{{VERSION}}/$(VERSION)-$(RELEASE)/g" \
+		| sed "s/{{DATE}}/`export LANG=; date '+%B %d, %Y'`/" \
+		| sed "s/{{HASH}}/`md5sum $(PACKAGE).zip | cut '-d ' -f1 `/" \
+		> lua-apr-$(VERSION)-$(RELEASE).rockspec
+	@echo Generated $(PACKAGE).rockspec
 
 # Create a Debian package using "checkinstall".
 deb_package: package_prerequisites
 	@echo "Lua/APR is a binding to the Apache Portable Runtime (APR) library." > description-pak
 	@echo "APR powers software such as the Apache webserver and Subversion and" >> description-pak
 	@echo "Lua/APR makes the APR operating system interfaces available to Lua." >> description-pak
+	@make --no-print-directory clean
+	@make --no-print-directory DO_RELEASE=1
 	checkinstall \
 		--default \
 		--backup=no \
@@ -223,12 +234,12 @@
 
 # Clean generated files from working directory.
 clean:
-	rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
-	rm -f $(APREQ_BINARY)
-	if which lcov; then lcov -z -d .; fi
-	rm -f src/*.gcov src/*.gcno
+	@rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
+	@rm -f $(APREQ_BINARY)
+	@lcov -q -z -d . || true
+	@rm -f src/*.gcov src/*.gcno
 
 .PHONY: install uninstall test valgrind coverage docs install_deps package \
-	package_prerequisites zip_package deb_package deb_repo clean
+	package_prerequisites zip_package rockspec deb_package clean
 
 # vim: ts=4 sw=4 noet

=== debian/changelog ===
lua-apr (0.18.2-1) unstable; urgency=low

  * new upstream release
  * new patch to ease running tests

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 17 Jun 2011 16:34:53 +0200

## lua-apr 0.18.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: June 16, 2011
+# Last Change: June 19, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
@@ -68,32 +68,34 @@
 # `pkg-config --cflags apr-1' doesn't include -pthread while `apr-1-config
 # --cflags' does include this flag and this seems to be needed on some
 # platforms. See also issue #5 on GitHub: https://github.com/xolox/lua-apr/issues/5
-CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua-5.1 --silence-errors || pkg-config --cflags lua) \
-		  $(shell apr-1-config --cflags --cppflags --includes 2>/dev/null || pkg-config --cflags apr-1) \
-		  $(shell apu-1-config --includes 2>/dev/null || pkg-config --cflags apr-util-1)
-LFLAGS += $(shell apr-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-1) \
-		  $(shell apu-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-util-1)
+override CFLAGS += \
+ $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua-5.1 --silence-errors || pkg-config --cflags lua) \
+ $(shell apr-1-config --cflags --cppflags --includes 2>/dev/null || pkg-config --cflags apr-1) \
+ $(shell apu-1-config --includes 2>/dev/null || pkg-config --cflags apr-util-1)
+override LFLAGS += \
+ $(shell apr-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-1) \
+ $(shell apu-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-util-1)
 
 # Create debug builds by default but enable release
 # builds using the command line "make DO_RELEASE=1".
 ifndef DO_RELEASE
-CFLAGS += -g -DDEBUG
-LFLAGS += -g
+override CFLAGS += -g -DDEBUG
+override LFLAGS += -g
 endif
 
 # Enable profiling with "make PROFILING=1".
 ifdef PROFILING
-CFLAGS += -fprofile-arcs -ftest-coverage
-LFLAGS += -fprofile-arcs
+override CFLAGS += -fprofile-arcs -ftest-coverage
+override LFLAGS += -fprofile-arcs
 endif
 
 # Experimental support for HTTP request parsing using libapreq2.
 ifndef DISABLE_APREQ
-SOURCES += src/http.c
-CFLAGS += $(shell apreq2-config --includes)
-LFLAGS += $(shell apreq2-config --link-ld)
+override SOURCES += src/http.c
+override CFLAGS += $(shell apreq2-config --includes)
+override LFLAGS += $(shell apreq2-config --link-ld)
 else
-CFLAGS += -DLUA_APR_DISABLE_APREQ
+override CFLAGS += -DLUA_APR_DISABLE_APREQ
 endif
 
 # Names of compiled object files.
@@ -168,9 +170,8 @@
 # Prepare a source ZIP archive and a Debian package 
 package: zip_package rockspec deb_package
 
-# Create a profiling build to run the test suite and generate documentation
-# including test coverage, then a clean build without profiling which we
-# can release.
+# Create a profiling build, run the test suite, generate documentation
+# including test coverage, then clean the intermediate files.
 package_prerequisites:
 	@echo Collecting coverage statistics using profiling build
 	@make --no-print-directory clean

=== debian/changelog ===
lua-apr (0.18.2.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Jun 2011 15:37:12 +0200

## lua-apr 0.19.1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: June 19, 2011
+# Last Change: June 21, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
@@ -9,7 +9,7 @@
 # external dependencies using the `install_deps' target (see below).
 
 VERSION = $(shell grep _VERSION src/apr.lua | cut "-d'" -f2)
-RELEASE = $(shell grep _RELEASE src/apr.lua | cut "-d'" -f2)
+RELEASE = 1
 PACKAGE = lua-apr-$(VERSION)-$(RELEASE)
 
 # Based on http://www.luarocks.org/en/Recommended_practices_for_Makefiles
@@ -49,6 +49,7 @@
 		  src/permissions.c \
 		  src/proc.c \
 		  src/shm.c \
+		  src/signal.c \
 		  src/stat.c \
 		  src/str.c \
 		  src/thread.c \

=== debian/changelog ===
lua-apr (0.19.1.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 24 Jun 2011 11:13:10 +0200

## lua-apr 0.19.8.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: June 21, 2011
+# Last Change: July 1, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
@@ -38,6 +38,7 @@
 		  src/filepath.c \
 		  src/fnmatch.c \
 		  src/getopt.c \
+		  src/http.c \
 		  src/io_dir.c \
 		  src/io_file.c \
 		  src/io_net.c \
@@ -91,13 +92,10 @@
 endif
 
 # Experimental support for HTTP request parsing using libapreq2.
-ifndef DISABLE_APREQ
-override SOURCES += src/http.c
-override CFLAGS += $(shell apreq2-config --includes)
-override LFLAGS += $(shell apreq2-config --link-ld)
-else
-override CFLAGS += -DLUA_APR_DISABLE_APREQ
-endif
+HAVE_APREQ = $(shell which apreq2-config >/dev/null && echo 1 || echo 0)
+override CFLAGS += -DLUA_APR_HAVE_APREQ=$(HAVE_APREQ)
+override CFLAGS += $(shell apreq2-config --includes 2>/dev/null)
+override LFLAGS += $(shell apreq2-config --link-ld 2>/dev/null)
 
 # Names of compiled object files.
 OBJECTS = $(patsubst %.c,%.o,$(SOURCES))
@@ -116,31 +114,29 @@
 
 # Always try to regenerate the error handling module.
 src/errno.c: etc/errors.lua Makefile
-	@lua etc/errors.lua > src/errno.c.new && mv -f src/errno.c.new src/errno.c || true
+	@lua etc/errors.lua
 
 # Install the Lua/APR binding under $LUA_DIR.
-install: $(BINARY_MODULE)
+install: $(BINARY_MODULE) docs
 	mkdir -p $(LUA_SHAREDIR)/apr/test
 	cp $(SOURCE_MODULE) $(LUA_SHAREDIR)/apr.lua
 	cp test/*.lua $(LUA_SHAREDIR)/apr/test
 	mkdir -p $(LUA_LIBDIR)/apr
 	cp $(BINARY_MODULE) $(LUA_LIBDIR)/apr/$(BINARY_MODULE)
-	if [ -e $(APREQ_BINARY) ]; then cp $(APREQ_BINARY) $(LUA_LIBDIR)/$(APREQ_BINARY); fi
-	make --no-print-directory docs
-	if [ ! -d $(LUA_APR_DOCS) ]; then mkdir -p $(LUA_APR_DOCS); fi
-	cp docs.html $(LUA_APR_DOCS)/
-	lua etc/wrap.lua < README.md > $(LUA_APR_DOCS)/readme.html
-	lua etc/wrap.lua < NOTES.md > $(LUA_APR_DOCS)/notes.html
-	lua etc/wrap.lua < TODO.md > $(LUA_APR_DOCS)/todo.html
+	[ ! -f $(APREQ_BINARY) ] || cp $(APREQ_BINARY) $(LUA_LIBDIR)/$(APREQ_BINARY)
+	[ -d $(LUA_APR_DOCS) ] || mkdir -p $(LUA_APR_DOCS)
+	cp doc/docs.html doc/notes.html doc/readme.html doc/todo.html $(LUA_APR_DOCS)
 
 # Remove previously installed files.
 uninstall:
 	rm -f $(LUA_SHAREDIR)/apr.lua
 	rm -fR $(LUA_SHAREDIR)/apr/test
 	rm -fR $(LUA_LIBDIR)/apr
+	cd $(LUA_APR_DOCS) && rm -r docs.html notes.html readme.html todo.html
+	rmdir $(LUA_APR_DOCS) 2>/dev/null || true
 
 # Run the test suite.
-test: $(BINARY_MODULE)
+test: install
 	export LD_PRELOAD=/lib/libSegFault.so; lua -e "require 'apr.test' ()"
 
 # Run the test suite under Valgrind to detect and analyze errors.
@@ -154,41 +150,45 @@
 	lcov -d src -b . --capture --output-file etc/coverage/lua-apr.info
 	genhtml -o etc/coverage etc/coverage/lua-apr.info
 
-# Generate HTML documentation from Markdown embedded in source code.
-docs: etc/docs.lua $(SOURCE_MODULE) $(SOURCES)
-	@lua etc/docs.lua > docs.md
-	@lua etc/wrap.lua < docs.md > docs.html
+# Convert the Markdown documents to HTML.
+docs: doc/docs.md $(SOURCE_MODULE) $(SOURCES)
+	@lua etc/wrap.lua doc/docs.md doc/docs.html
+	@lua etc/wrap.lua README.md doc/readme.html
+	@lua etc/wrap.lua NOTES.md doc/notes.html
+	@lua etc/wrap.lua TODO.md doc/todo.html
+
+# Extract the documentation from the source code and generate a Markdown file
+# containing all documentation including coverage statistics (if available).
+# XXX This file won't be regenerated automatically because A) the documentation
+# in the ZIP archives I release contains coverage statistics that cannot be
+# generated without first building and installing a profiling release and
+# running the test suite and B) new users certainly won't know how to generate
+# coverage statistics which means "make install" would overwrite the existing
+# documentation and lose the coverage statistics...
+doc/docs.md: etc/docs.lua
+	@[ -d doc ] || mkdir doc
+	@lua etc/docs.lua > doc/docs.md
 
 # Install the build dependencies using Debian/Ubuntu packages.
 # FIXME The libreadline-dev isn't really needed here is it?!
 install_deps:
 	apt-get install libapr1 libapr1-dev libaprutil1 libaprutil1-dev \
 		libaprutil1-dbd-sqlite3 libapreq2 libapreq2-dev lua5.1 \
-		liblua5.1-0 liblua5.1-0-dev libreadline-dev luarocks
-	luarocks install lua-discount
-	luarocks install http://peterodding.com/code/lua/lxsh/downloads/lxsh-0.6.1-1.rockspec
-
-# Prepare a source ZIP archive and a Debian package 
-package: zip_package rockspec deb_package
+		liblua5.1-0 liblua5.1-0-dev libreadline-dev
 
 # Create a profiling build, run the test suite, generate documentation
 # including test coverage, then clean the intermediate files.
-package_prerequisites:
+package_prerequisites: clean
 	@echo Collecting coverage statistics using profiling build
-	@make --no-print-directory clean
 	@export PROFILING=1; lua etc/buildbot.lua --local
 	@echo Generating documentation including coverage statistics
 	@make --no-print-directory docs
-	@make --no-print-directory clean
 
 # Prepare a source ZIP archive from which Lua/APR can be build.
 zip_package: package_prerequisites
 	@rm -f $(PACKAGE).zip
 	@mkdir -p $(PACKAGE)/doc
-	@cp docs.html $(PACKAGE)/doc/apr.html
-	@lua etc/wrap.lua < README.md > $(PACKAGE)/doc/readme.html
-	@lua etc/wrap.lua < NOTES.md > $(PACKAGE)/doc/notes.html
-	@lua etc/wrap.lua < TODO.md > $(PACKAGE)/doc/todo.html
+	@cp doc/docs.html doc/notes.html doc/readme.html doc/todo.html $(PACKAGE)/doc
 	@mkdir -p $(PACKAGE)/etc
 	@cp -a etc/buildbot.lua etc/docs.lua etc/errors.lua etc/wrap.lua $(PACKAGE)/etc
 	@mkdir -p $(PACKAGE)/benchmarks
@@ -213,35 +213,13 @@
 		> lua-apr-$(VERSION)-$(RELEASE).rockspec
 	@echo Generated $(PACKAGE).rockspec
 
-# Create a Debian package using "checkinstall".
-deb_package: package_prerequisites
-	@echo "Lua/APR is a binding to the Apache Portable Runtime (APR) library." > description-pak
-	@echo "APR powers software such as the Apache webserver and Subversion and" >> description-pak
-	@echo "Lua/APR makes the APR operating system interfaces available to Lua." >> description-pak
-	@make --no-print-directory clean
-	@make --no-print-directory DO_RELEASE=1
-	checkinstall \
-		--default \
-		--backup=no \
-		--type=debian \
-		--pkgname=lua-apr \
-		--pkgversion=$(VERSION) \
-		--pkgrelease=$(RELEASE) \
-		--pkglicense=MIT \
-		--pkggroup=interpreters \
-		'--requires=libapr1,libaprutil1,libaprutil1-dbd-sqlite3,libapreq2' \
-		'--maintainer="Peter Odding <peter@peterodding.com>"' \
-		make install LUA_DIR=/usr
-	@rm -R description-pak doc-pak/
-
 # Clean generated files from working directory.
 clean:
-	@rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
-	@rm -f $(APREQ_BINARY)
-	@lcov -q -z -d . || true
-	@rm -f src/*.gcov src/*.gcno
+	@rm -Rf $(OBJECTS) $(BINARY_MODULE) $(APREQ_BINARY)
+	@rm -f src/*.gcov src/*.gcno etc/coverage doc/docs.md
+	@git checkout src/errno.c 2>/dev/null || true
 
 .PHONY: install uninstall test valgrind coverage docs install_deps package \
-	package_prerequisites zip_package rockspec deb_package clean
+	package_prerequisites zip_package rockspec clean
 
 # vim: ts=4 sw=4 noet

=== debian/changelog ===
lua-apr (0.19.8.1-2) unstable; urgency=low

  * multi-arch compliant (lua5.1-policy >= 32 and dh >= 8.1.3)
  * update standards-version to 3.9.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 22:09:58 +0200

lua-apr (0.19.8.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 02 Jul 2011 12:36:36 +0200

lua-apr (0.19.6.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 01 Jul 2011 21:38:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,24 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 29), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
-Standards-Version: 3.9.1
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
 Homepage: http://peterodding.com/code/lua/apr/
 
 Package: liblua5.1-apr1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}
 Description: Apache Portable Runtime library for the Lua language version 5.1
  This package contains the bindings for the Apache Portable Runtime library.
 
 Package: liblua5.1-apr-dev
 Architecture: any
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: liblua5.1-apr1 (= ${binary:Version})
 Section: libdevel
 Description: Lua development files for the Apache Portable Runtime library

## lua-apr 0.20.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: July 1, 2011
+# Last Change: July 3, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
@@ -43,6 +43,7 @@
 		  src/io_file.c \
 		  src/io_net.c \
 		  src/io_pipe.c \
+		  src/ldap.c \
 		  src/lua_apr.c \
 		  src/memcache.c \
 		  src/memory_pool.c \
@@ -76,7 +77,7 @@
  $(shell apu-1-config --includes 2>/dev/null || pkg-config --cflags apr-util-1)
 override LFLAGS += \
  $(shell apr-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-1) \
- $(shell apu-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-util-1)
+ $(shell apu-1-config --link-ld --libs --ldap-libs 2>/dev/null || pkg-config --libs apr-util-1)
 
 # Create debug builds by default but enable release
 # builds using the command line "make DO_RELEASE=1".
@@ -182,7 +183,7 @@
 	@echo Collecting coverage statistics using profiling build
 	@export PROFILING=1; lua etc/buildbot.lua --local
 	@echo Generating documentation including coverage statistics
-	@make --no-print-directory docs
+	@rm -f doc/docs.md; make --no-print-directory docs
 
 # Prepare a source ZIP archive from which Lua/APR can be build.
 zip_package: package_prerequisites
@@ -215,8 +216,7 @@
 
 # Clean generated files from working directory.
 clean:
-	@rm -Rf $(OBJECTS) $(BINARY_MODULE) $(APREQ_BINARY)
-	@rm -f src/*.gcov src/*.gcno etc/coverage doc/docs.md
+	@rm -Rf $(OBJECTS) $(BINARY_MODULE) $(APREQ_BINARY) doc/docs.md
 	@git checkout src/errno.c 2>/dev/null || true
 
 .PHONY: install uninstall test valgrind coverage docs install_deps package \

=== debian/changelog ===
lua-apr (0.20.1-1) unstable; urgency=low

  * new upstream release
  * updated copyright file, mentioning that src/ldap.c is copyright
    by the kepler project 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Aug 2011 19:45:39 +0200

## lua-apr 0.23.2

=== debian/changelog ===
lua-apr (0.23.2-1) unstable; urgency=low

  * New upstream release
  * Switch to dh-lua
  * Packages renamed to conform to the new Lua policy
  * debian/compat set to 7 
  * Update copyright file format
  * Standards-Version set to 3.9.3, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 20:26:53 +0200

=== debian/control ===
Source: lua-apr
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 11), libapr1-dev, libaprutil1-dev, libaprutil1-dbd-sqlite3, libapreq2-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
Homepage: http://peterodding.com/code/lua/apr/

Package: lua-apr
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-apr1 (<< 0.23.2-1~)
Breaks: liblua5.1-apr1 (<< 0.23.2-1~)
Provides: liblua5.1-apr1, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Apache Portable Runtime library for the Lua language
 This package contains the bindings for the Apache Portable Runtime library.

Package: lua-apr-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-apr (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-apr-dev (<< 0.23.2-1~)
Breaks: liblua5.1-apr-dev (<< 0.23.2-1~)
Provides: liblua5.1-apr-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: Lua development files for the Apache Portable Runtime library
 This package contains the development files of the Apache Portable Runtime
 library bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).  
 Documentation is also shipped within this package.

Package: liblua5.1-apr1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-apr
Description: Transitional package for lua-apr
 This is a transitional package to ease upgrades to the lua-apr
 package. It can safely be removed.

Package: liblua5.1-apr-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-apr-dev
Description: Transitional package for lua-apr-dev
 This is a transitional package to ease upgrades to the lua-apr-dev
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# pre-build::
# 	make -f Makefile src/errno.c

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -sf src/apr.lua apr.lua
	mkdir -p apr
	ln -sf ../src/serialize.lua apr/
	ln -sf ../test apr/
	dh_auto_configure
override_dh_auto_clean:
	rm -rf apr apr.lua
	dh_auto_clean
override_dh_auto_test:
	DH_LUA_OPTS="skip-test-app-static" dh_auto_test
